VRPlatformVRPlatform
Connections

/connections

Create a new connection

POST
/connections
X-API-Key<token>

API key provided in dashboard

In: header

Request Body

application/json

name?string
appId*string
credentials?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.edge.vrplatform.app/connections" \  -H "Content-Type: application/json" \  -d '{    "appId": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "status": "active",
  "uniqueRef": "string",
  "app": {
    "id": "string",
    "type": "paymentGateway",
    "name": "string",
    "icon": "string",
    "importers": [
      "string"
    ],
    "extractors": [
      "string"
    ]
  },
  "createdAt": "string",
  "updatedAt": "string",
  "isErrorState": true,
  "currentSync": {
    "status": "queued",
    "createdAt": "string",
    "updatedAt": "string",
    "message": "string"
  },
  "enabledFlows": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "isPublic": true,
      "type": "push"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}